using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

// Die Elementvorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=234238 dokumentiert.

namespace Listenelemente
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet werden kann oder auf die innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        // Für List keine automatische Aktualisierung
        ObservableCollection<Person> friends = new ObservableCollection<Person>();

        public MainPage()
        {
            this.InitializeComponent();

            listBox1.Items.Add("Element 4");
            listBox1.Items.Add("Element 5");

            friends.Add(new Person("Gloria", "Mint", 32));
            friends.Add(new Person("Rainer", "Helsk", 45));

            listBox2.ItemsSource = friends;
            listBox2.DisplayMemberPath = "Secondname";
            friends.Add(new Person("test1", "dirk", 55));
        }

        /// <summary>
        /// Wird aufgerufen, wenn diese Seite in einem Rahmen angezeigt werden soll.
        /// </summary>
        /// <param name="e">Ereignisdaten, die beschreiben, wie diese Seite erreicht wurde. Die
        /// Parametereigenschaft wird normalerweise zum Konfigurieren der Seite verwendet.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void listBox1_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            if (listBox1.SelectedItem != null)
            {
                String elem = (String)listBox1.SelectedItem;
                output.Text = elem;
            }
        }

        private void listBox2_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            if (listBox2.SelectedItem != null)
            {
                Person elem = (Person)listBox2.SelectedItem;
                output.Text = elem.Secondname;
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            friends.Insert(0, new Person("1", "1", 10));
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            friends.RemoveAt(0);
        }

        private void flipView1_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            if (flipView1 != null && flipView1.SelectedItem != null)
            {
                Image img = (Image)flipView1.SelectedItem;
                BitmapImage bitmap = (BitmapImage)img.Source;
                output.Text = bitmap.UriSource.ToString();
            }

        }
    }
}
